--- old/usr/src/uts/common/fs/nfs/nfs4_client_state.c	2014-07-28 07:44:16.356742904 -0400
+++ new/usr/src/uts/common/fs/nfs/nfs4_client_state.c	2014-07-28 07:44:16.362755176 -0400
@@ -673,7 +673,7 @@
 uint64_t
 nfs4_get_new_oo_name(void)
 {
-	return (atomic_add_64_nv(&open_owner_seq_num, 1));
+	return (atomic_inc_64_nv(&open_owner_seq_num));
 }
 
 /*
@@ -836,7 +836,7 @@
 	 * A Solaris lock_owner is <seq_num><pid>
 	 */
 	lop->lock_owner_name.ln_seq_num =
-	    atomic_add_64_nv(&lock_owner_seq_num, 1);
+	    atomic_inc_64_nv(&lock_owner_seq_num);
 	lop->lock_owner_name.ln_pid = pid;
 
 	cv_init(&lop->lo_cv_seqid_sync, NULL, CV_DEFAULT, NULL);
@@ -883,7 +883,7 @@
 	 * A Solaris lock_owner is <seq_num><pid>
 	 */
 	cast_namep = (nfs4_lo_name_t *)owner->owner_val;
-	cast_namep->ln_seq_num = atomic_add_64_nv(&lock_owner_seq_num, 1);
+	cast_namep->ln_seq_num = atomic_inc_64_nv(&lock_owner_seq_num);
 	cast_namep->ln_pid = pid;
 }
 
